package com.zjinja.mcmod.decor.element_templates.renderer;

import com.zjinja.mcmod.decor.element_base.EBaseTileBlock;
import com.zjinja.mcmod.decor.elements.te.TE_RenderResourceSpecifiedTileEntity;
import net.minecraft.block.Block;
import net.minecraft.client.Minecraft;
import net.minecraft.tileentity.TileEntity;

public class TileRenderResourceSpecifiedRenderer extends WaveFrontRenderer {

    @Override
    public void renderTileEntityAt(TileEntity te, double x, double y, double z, float scale){
        preRender(x, y, z);
        Block block = te.getWorldObj().getBlock(te.xCoord, te.yCoord, te.zCoord);
        int meta = te.getWorldObj().getBlockMetadata(te.xCoord, te.yCoord, te.zCoord);
        if(te instanceof TE_RenderResourceSpecifiedTileEntity){
            TE_RenderResourceSpecifiedTileEntity ate = (TE_RenderResourceSpecifiedTileEntity) te;
            if(block instanceof EBaseTileBlock){
                EBaseTileBlock tileBlock = (EBaseTileBlock)block;
                Minecraft.getMinecraft().getTextureManager().bindTexture(ate.RenderResouceData.Texture);
                render(ate.RenderResouceData.Model, tileBlock, meta);
            }
        }
        postRender();
    }
}
