package com.zjinja.mcmod.decor.registers;

import com.zjinja.mcmod.decor.ZJinJaDecoration;
import com.zjinja.mcmod.decor.element_base.EBaseTileBlock;
import cpw.mods.fml.client.registry.ClientRegistry;

import java.util.HashMap;
import java.util.Map;

public class TileEntityModelBinder {
    public TileEntityModelBinder(){

    }

    public void AutoBind(){
        HashMap<String, EBaseTileBlock> TileList = ZJinJaDecoration.proxy.Registry.GetTileBlockList();
        if(ZJinJaDecoration.DebugMode){
            ZJinJaDecoration.logger.warn("Auto TileRenderer Binding Loop...");
        }
        for (Map.Entry<String, EBaseTileBlock> iv : TileList.entrySet()) {
            if (iv.getValue().AutoBindRenderer()) {
                if(ZJinJaDecoration.DebugMode){
                    ZJinJaDecoration.logger.warn("[AutoTileRendererBind] " + iv.getKey());
                }
                ClientRegistry.bindTileEntitySpecialRenderer(
                        iv.getValue().TEClass,
                        iv.getValue().GetTileRenderer()
                );
            }
        }
    }
}
