package com.zjinja.mcmod.decor.registers;

import com.zjinja.mcmod.decor.elements.blocks.*;
import com.zjinja.mcmod.decor.utils.model_dir_util.BoundingBoxVector;
import net.minecraft.block.Block;

public class UserTileBlockRegistry {
    private GeneralRegister gr;
    public UserTileBlockRegistry(GeneralRegister generalRegister){
        gr = generalRegister;
    }

    public void Regist(){
        gr.RegistTileBlock(new B_FullSizeSign("logosign"), "logosign", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_FullSizeSign("funnyface"), "funnyface", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_FullSizeSign("zryavanta"), "zryavanta");
        gr.RegistTileBlock(new B_FullSizeSign("radiationhazard"), "radiationhazard", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_FullSizeSign("helmet"), "helmet", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_FullSizeSign("fallingobj"), "fallingobj", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_FullSizeSign("staffonly"), "staffonly", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_FullSizeSign("elecshock"), "elecshock", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_FullSizeSign("nosmoking"), "nosmoking", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_FullSizeSign("parkinglot"), "parkinglot", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_FullSizeSign("touhoupp"), "touhoupp", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_FullSizeSign("vault"), "vault", GeneralRegister.tabZJinJaDecoration);

        gr.RegistTileBlock(new B_H7FSign("toiletclosersign"), "toiletclosersign", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_H7FSign("toiletdissign"), "toiletdissign", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_H7FSign("toiletfemalesign"), "toiletfemalesign", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_H7FSign("toiletflushsign"), "toiletflushsign", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_H7FSign("toiletmalesign"), "toiletmalesign", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_H7FSign("toiletsign"), "toiletsign", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_H7FSign("toilettransgdsign"), "toilettransgdsign", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_H7FSign("babycare"), "babycare", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_H7FSign("exitsignstd"), "exitsignstd", GeneralRegister.tabZJinJaDecoration);

        gr.RegistTileBlock(new B_StaticSlaveBlock4Dir(
                new BoundingBoxVector(0.0F, 0.25F, 0.0F, 0.5F, 0.6875F, 0.0625F),
                1.0F, 0.3F, 10.0F, Block.soundTypeGlass,
                -1,0,0
        ), "h7ftdsigns");

        gr.RegistTileBlock(new B_H7FTDSignM("exitsignstd"), "exitsignstdtd", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_H7FTDSignM("toiletdissign"), "toiletdissigntd", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_H7FTDSignM("toiletfemalesign"), "toiletfemalesigntd", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_H7FTDSignM("toiletmalesign"), "toiletmalesigntd", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_H7FTDSignM("toiletsign"), "toiletsigntd", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_H7FTDSignM("toilettransgdsign"), "toilettransgdsigntd", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_H7FTDSignM("babycare"), "babycaretd", GeneralRegister.tabZJinJaDecoration);

        gr.RegistTileBlock(new B_CellingLightLarge(), "cellinglightlarge", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_MotooriKosuzu(), "motoorikosuzu", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_FireHydrant(), "firehydrant", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_FireHydrantPole(), "firehydrantpole", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_IronDrain(), "irondrain", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_SiameseConnector(), "siameseconnector", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_PZ30(), "pz30", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_FenceLightNormal(), "fencelightnormal", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_FenceLightTiny(), "fencelighttiny", GeneralRegister.tabZJinJaDecoration);

        gr.RegistTileBlock(new B_Thick0202Sign("lpgndtestpoint_tex"), "lpgndtestpoint", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_Thick0202Sign("socket4p25a_tex"), "socket4p25a", GeneralRegister.tabZJinJaDecoration);
        gr.RegistTileBlock(new B_Thick0402Sign("equipotentialtermsmall_tex"), "equipotentialtermsmall", GeneralRegister.tabZJinJaDecoration);
    }
}
