package com.zjinja.mcmod.decor;

import com.zjinja.mcmod.decor.misc.ConfigLoader;
import com.zjinja.mcmod.decor.misc.I18NHandler;
import com.zjinja.mcmod.decor.proxy.CommonProxy;
import cpw.mods.fml.common.Mod;
import cpw.mods.fml.common.SidedProxy;
import cpw.mods.fml.common.event.FMLInitializationEvent;
import cpw.mods.fml.common.event.FMLPostInitializationEvent;
import cpw.mods.fml.common.event.FMLPreInitializationEvent;
import net.minecraft.server.management.ServerConfigurationManager;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

@Mod(modid = ZJinJaDecoration.MODID, version = ZJinJaDecoration.VERSION)
public class ZJinJaDecoration {
    @Mod.Instance("ZJinjaDecoration")
    public static ZJinJaDecoration instance;
    public static final String MODID = "zjinjadecoration";
    public static final String VERSION = "1.0";
    public static boolean DebugMode = true;
    public static Logger logger = LogManager.getLogger(MODID);
    public static I18NHandler I18N;

    @SidedProxy(
            clientSide = "com.zjinja.mcmod.decor.proxy.ClientProxy",
            serverSide = "com.zjinja.mcmod.decor.proxy.ServerProxy"
    )
    public static CommonProxy proxy;

    public static ZJinJaDecoration getInstance() {
        return instance;
    }

    @Mod.EventHandler
    public void preInit(FMLPreInitializationEvent event){
        new ConfigLoader(event);
        I18N = new I18NHandler(ConfigLoader.Conf.locale);
        proxy.preInit(event);
    }

    @Mod.EventHandler
    public void init(FMLInitializationEvent event){
        proxy.init(event);
    }

    @Mod.EventHandler
    public void postInit(FMLPostInitializationEvent event){
        proxy.postInit(event);
    }

}
